{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<script type="text/javascript" src="/admin/jsi18n/"></script>
<link href="/static/vendor/select2/dist/css/select2.css" type="text/css" media="screen" rel="stylesheet">
<link href="/static/admin/css/autocomplete.css" type="text/css" media="screen" rel="stylesheet">
<link href="/static/autocomplete_light/select2.css" type="text/css" media="screen" rel="stylesheet">
<script type="text/javascript" src="/static/admin/js/vendor/jquery/jquery.js"></script>
<script type="text/javascript" src="/static/admin/js/jquery.init.js"></script>
<script type="text/javascript" src="/static/admin/js/core.js"></script>
<script type="text/javascript" src="/static/admin/js/admin/RelatedObjectLookups.js"></script>
<script type="text/javascript" src="/static/admin/js/actions.js"></script>
<script type="text/javascript" src="/static/admin/js/urlify.js"></script>
<script type="text/javascript" src="/static/admin/js/prepopulate.js"></script>
<script type="text/javascript" src="/static/admin/js/vendor/xregexp/xregexp.js"></script>
<script type="text/javascript" src="/static/autocomplete_light/jquery.init.js"></script>
<script type="text/javascript" src="/static/vendor/select2/dist/js/select2.full.js"></script>
<script type="text/javascript" src="/static/vendor/select2/dist/js/i18n/es.js"></script>
<script type="text/javascript" src="/static/autocomplete_light/autocomplete.init.js"></script>
<script type="text/javascript" src="/static/autocomplete_light/forward.js"></script>
<script type="text/javascript" src="/static/autocomplete_light/select2.js"></script>
<script type="text/javascript" src="/static/autocomplete_light/jquery.post-setup.js"></script>
<style>

.oculta {
    display: none;
}

</style>
{% endblock extra_head %}

{% block content %}

<div class="row">

    <div class="col-md-10 offset-md-1">

        <div class="panel panel-inverse miselector" data-sortable-id="table-basic-4" >
            <!-- begin panel-heading -->
          
            <div class="panel-heading ui-sortable-handle">
              <div class="panel-heading-btn">
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>  
                <a onclick="return updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>      
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
              </div>
              <h4 class="panel-title">Lista de Menús Smokeping.</h4>
            </div>
            <!-- end panel-heading -->
            <!-- begin panel-body -->
            <div class="panel-body miselector">

              <div class="row">
                <div class="column" style="width: 85%">
                  <div class="btn-group m-b-10"> 
                    <a href="javascript:void(0)" class="btn btn-sm btn-success" onclick="loadModal()">Crear un Menú</a>
                  </div>
                  <div class="btn-group m-b-10 pull-rigth"> 
                    <a href="javascript:void(0)" onclick="downloadTargetFile()" class="btn btn-sm btn-warning">Descargar Archivo Target</a>
                  </div>
                </div>
                
              </div>

              <!-- begin table-responsive for Plan-->
              <div class="table-responsive" id="div_table_menusmokeping">
                <table class="table" id="table_menusmokeping">
                  <thead>
                    <tr>
                      <th nowrap="">Id</th>
                      <th nowrap="">Titulo</th>
                      <th nowrap="">Orden de Aparición</th>
                      <th nowrap="">IP's Asociadas</th>
                      <th nowrap="">Botones</th>
                    </tr>
                  </thead>
                  <tbody>
                  </tbody>
                </table>
              </div>

              <!-- end table-responsive -->
            </div>
            <!-- end panel-body -->
          </div>

    </div>

</div>

<div class="modal fade" id="modal-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

<!-- #modal-message -->
<!-- <div class="modal modal-message fade" id="modal_create"> -->
<div class="modal modal-message fade" id="modal_create"></div>
<!-- #modal-alert -->

{% endblock content %}

{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/jquery.maskedinput/src/jquery.maskedinput.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>

<script type="text/javascript" id="insert_script_here">
    var no_cache_random =  Math.random().toString(36).substr(2, 5);
    appendScript("{% static 'scripts/class/common_js.min.js' %}?no_cache=" + no_cache_random);
    appendScript("{% static 'scripts/smokeping-settings.js' %}?no_cache=" + no_cache_random);
</script>


{% endblock extra_js %}
